Name: cronwrap-milab
Summary: cronwrap installation for MILAB machines
Version: 1.0
Release: 2
License: Not to be distributed outside of CUED
Group: CUED/MILAB/Configuration
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@eng.cam.ac.uk>
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: MILAB
Requires: openssh rsync autofs

%description
cronwrap is used in MILAB to update system maps from a central server.

%prep

%setup -q

%build

%install
cp -r * $RPM_BUILD_ROOT

%clean

%files 
%defattr(-,root,root)
%dir /usr/Local 
%dir /usr/Local/etc
%attr(755,root,root) /etc/cron.hourly/cronwrap
%attr(755,root,root) /usr/Local/etc/cronwrap

%post
touch --date="20 years ago" /etc/passwd /etc/shadow \
        /etc/group /etc/exports /etc/hosts \
        /etc/ntp.conf /etc/auto.* \
        /usr/Local/etc/cronwrap


%changelog
* Wed Sep 15 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Fixed installation problem
* Thu Sep 09 2004 Anna Langley <jal58@eng.cam.ac.uk>
  Created initial RPM.
